Subject: Re: bug#4664: 23.1.50; local variables completions

From: Stefan Monnier <[email-masked]>
Date: Fri, 09 Oct 2009 15:26:56 -0400

> This is a wrong fix.  It again removes valid local variables like
> `generated-autoload-file' from completion.  The right fix would be
> just to avoid trying to provide their current value as the default
> value:

Agreed.  Actually even if a symbol is not known to be safe and not
completable, it should be possible for the user to use it, since it may
simply not be loaded yet.

        Stefan